Infront Data Manager Connect Client (.NET)

Public Member Functions | List of all members
Gevasys.DataCore.Core.InstrumentList Class Reference

More...

Inherits List< String >.

## Public Member Functions
| InstrumentList ()
| InstrumentList (List< string > instruments)
new void | Add (string item)
| Add a instrument to the list. More...
override string | ToString ()
| Returns a string representation of the instrument list. Each instrument is written in a separate line. More...
String | AsCompressedBase64String ()
void | AddFromCompressedBase64 (String compressedData)
bool | LoadFromFile (String fileName)
bool | AppendFromFile (String fileName)

## Detailed Description

Represents a list of instruments. Each instrument is represented via a vwd code.

## Constructor & Destructor Documentation

## ◆ InstrumentList() [1/2]

Gevasys.DataCore.Core.InstrumentList.InstrumentList | ( |  | ) |
| inline

Initializes the instance.

## ◆ InstrumentList() [2/2]

Gevasys.DataCore.Core.InstrumentList.InstrumentList | ( | List< string > | instruments | ) |
| inline

Initializes the instance.

Parameters

  instruments | A list of instruments to initialize the InstrumentList with.

## Member Function Documentation

## ◆ Add()

new void Gevasys.DataCore.Core.InstrumentList.Add | ( | string | item | ) |
| inline

Add a instrument to the list.

Parameters

  item | The instrument to add.

## ◆ AddFromCompressedBase64()

void Gevasys.DataCore.Core.InstrumentList.AddFromCompressedBase64 | ( | String | compressedData | ) |
| inline

BASE64 encoded list of instruments as a string.

## ◆ AppendFromFile()

bool Gevasys.DataCore.Core.InstrumentList.AppendFromFile | ( | String | fileName | ) |
| inline

Appends a list of instrument from a file.

Parameters

  fileName | Filename with list of instruments to add. Each instrument has to be in new line.

Returns
  <font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">True if success.</font> </font>

## ◆ AsCompressedBase64String()

String Gevasys.DataCore.Core.InstrumentList.AsCompressedBase64String | ( |  | ) |
| inline

The list of instruments as a compressed BASE64 encoded string.

See also
  CompressionHelper

CompressionHelper

## ◆ LoadFromFile()

bool Gevasys.DataCore.Core.InstrumentList.LoadFromFile | ( | String | fileName | ) |
| inline

Loads the instrument list from a file.

Parameters

  fileName | Filename with list of instruments to initialize list with. Each instrument has to be in new line.

Returns
  <font color="#3F5FBF" size="2"> <font color="#3F5FBF" size="2">True if success.</font> </font>

## ◆ ToString()

override string Gevasys.DataCore.Core.InstrumentList.ToString | ( |  | ) |
| inline

Returns a string representation of the instrument list. Each instrument is written in a separate line.

Returns
  The content on the instrument list with each instrument in a separate line.

The documentation for this class was generated from the following file:

- InstrumentList.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1